DimensionLineColor Example

Using Programming Languages other than VBA

Sub Example_DimensionLineColor()
	' This example creates a Dim3PointAngular object in model space
	' and changes the dimension line color to red using the DimensionLineColor property

	Dim DimPointAngularObj As AcadDim3PointAngular
	Dim AngleVertex(0 To 2) As Double
	Dim FirstPoint(0 To 2) As Double, SecondPoint(0 To 2) As Double
	Dim TextPoint(0 To 2) As Double

	' Define the new Dim3PointAngular object
	AngleVertex(0) = 0: AngleVertex(1) = 0: AngleVertex(2) = 0
	FirstPoint(0) = 2: FirstPoint(1) = 2: FirstPoint(2) = 0
	SecondPoint(0) = 1: SecondPoint(1) = 4: SecondPoint(2) = 0
	TextPoint(0) = 6: TextPoint(1) = 6: TextPoint(2) = 0

	' Create the new Dim3PointAngular object in model space
	Set DimPointAngularObj = ThisDrawing.ModelSpace.AddDim3PointAngular(AngleVertex, FirstPoint, SecondPoint, TextPoint)
	ThisDrawing.Application.ZoomAll

	' Read and display current dimension line color
	MsgBox "The dimension line color for this object is currently set to: " & DimPointAngularObj.DimensionLineColor

	' Change the dimension line color
	DimPointAngularObj.DimensionLineColor = acRed
	ThisDrawing.Regen acAllViewports

	' Read and display current dimension line color
	MsgBox "The dimension line color for this object is now set to: " & DimPointAngularObj.DimensionLineColor & " (Red)"

End Sub

 

   Comments?